org.eclipse.rdf4j.workbench.base

## Class BaseRepositoryServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.BaseRepositoryServlet

- All Implemented Interfaces:
    javax.servlet.Servlet, RepositoryServlet

  Deprecated.
  since 4.0. Use `AbstractRepositoryServlet` instead.

      @Deprecated
      public abstract class BaseRepositoryServlet
      extends AbstractRepositoryServlet

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseRepositoryServlet()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `init, setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Constructor Detail

    - #### BaseRepositoryServlet

          public BaseRepositoryServlet()

      Deprecated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.